﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		if (!IsPostBack)
		{
			this.WebDropDown1.DataSource = MenuSource();
		}
    }

	protected void WebDropDown_OnItemsRequested(object sender, Infragistics.Web.UI.ListControls.DropDownItemsRequestedEventArgs e)
	{

		var itemValue = e.Value;
		List<string> list = MenuSource();
		var newList = from item in list
					  where item.StartsWith(itemValue.ToString())
					  select item;
		this.WebDropDown1.ClearTemplates();
		this.WebDropDown1.DataSource = newList.ToList();
		this.WebDropDown1.DataBind();
	}
	private List<string> MenuSource()
	{
		List<string> list = new List<string>();

		for (int i = 1; i < 10; i++)
		{
			list.Add(i.ToString() + "Item");
			list.Add(i.ToString() + "Item");
		}

		return list;
	}
}